Last modified: 2014-01-29 17:47:24 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60403 - Split JobDescription interface from Job class
Split JobDescription interface from Job class
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
JobQueue (Other open bugs)
1.23.0
All All
: Normal enhancement (vote)
: ---
Assigned To: Aaron Schulz
:
Depends on:
Blocks: code_quality 60400
  Show dependency treegraph
 
Reported: 2014-01-24 19:32 UTC by Daniel Kinzler
Modified: 2014-01-29 17:47 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Daniel Kinzler 2014-01-24 19:32:11 UTC
The job queue can be used as a notification channel between wikis, e.g. notifying a client wiki about changes occurring on a master wiki. To allow this, the interface for objects representing job descriptions/notifications should be independent of class used to actually execute jobs.

This can be done with minimal effort by defining a new interface, JobDescription, letting the Job class implement that (for compatibility), and use that interface instead of the Job class in code dealing with posting/scheduling jobs. The actual implementation of the job should only need to be known when and where the job is actually being executed.

This could be taken further by turning the job queue into a notification queue, and detaching notification handlers completely from the notification objects in the queue.
Comment 1 Gerrit Notification Bot 2014-01-27 23:30:57 UTC
Change 109785 had a related patch set uploaded by Aaron Schulz:
Added a simple JobSpecification class for pushing jobs

https://gerrit.wikimedia.org/r/109785
Comment 2 Gerrit Notification Bot 2014-01-29 16:58:21 UTC
Change 109785 merged by jenkins-bot:
Added a simple JobSpecification class for pushing jobs

https://gerrit.wikimedia.org/r/109785

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links